{% extends 'base.html.twig' %}

{% block title %}Vehicle index{% endblock %}

{% block body %}
    <h1>Vehicle index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>FuelType</th>
                <th>Category</th>
                <th>Year</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for vehicle in vehicles %}
            <tr>
                <td>{{ vehicle.id }}</td>
                <td>{{ vehicle.fuelType }}</td>
                <td>{{ vehicle.category }}</td>
                <td>{{ vehicle.year }}</td>
                <td>
                    <a href="{{ path('vehicle_show', {'id': vehicle.id}) }}">show</a>
                    <a href="{{ path('vehicle_edit', {'id': vehicle.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('vehicle_new') }}">Create new</a>
{% endblock %}
